# Class PokemonBattleSummonData

- Defined in src/field/pokemon.ts:3753

#####
Index

### Constructors

constructor

### Properties

moveHistory
turnCount

## Constructors

### constructor

- new PokemonBattleSummonData(): PokemonBattleSummonData

- #### Returns PokemonBattleSummonData

## Properties

### moveHistory

moveHistory: TurnMove [] = []

- Defined in src/field/pokemon.ts:3755

### turnCount

turnCount: number = 1

- Defined in src/field/pokemon.ts:3754